Skip to main content
GET
/
api
/
v1
/
agents
/
{agent_id}
/
versions
/
{version_number}
Show Version
curl --request GET \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{agent_id}/versions/{version_number} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "version": null,
    "numbers": [],
    "id": "01kqh44em1evnhp5myahqtybfd",
    "name": "My Agent",
    "status": "draft",
    "llm_config": {
      "provider": "groq",
      "model": "llama2-70b-4096",
      "knowledge_base_ids": [],
      "tools": []
    },
    "prompt_config": {
      "prompt": "You are a helpful assistant for Acme Co. Greet the caller, identify their need, and assist them politely.",
      "first_speaker": "ai",
      "ai_speak_after_silence": false,
      "ai_speak_wait_time": 0.7,
      "welcome_message_type": "dynamic",
      "welcome_message": null
    },
    "stt_config": {
      "model": "nova-3",
      "provider": "deepgram"
    },
    "tts_config": {
      "voice_id": "nova",
      "streaming_latency": 0,
      "emotion": null,
      "speed_alpha": 1.38,
      "provider": "rime",
      "model": "mist",
      "ambient_sound_volume": 1,
      "responsiveness": 1,
      "interruption_sensitivity": 1,
      "enable_backchannel": true,
      "backchannel_frequency": 0.8,
      "reminder_trigger_ms": 10000
    },
    "workspace_id": "01kqh44ekkjta76bmpm5e1qy0z",
    "created_at": "2026-05-01T06:38:04+00:00",
    "updated_at": "2026-05-01T06:38:04+00:00",
    "published_at": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://cooloquiptyltd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

agent_id
string
required

The ID of the agent.

version_number
integer
required

Optional parameter. Version number to display.

Response

200 - application/json
data
object